javax.jdo

## Interface Constants

- All Known Implementing Classes:
    JDOHelper

      public interface Constants

  Constant values used in JDO.
  Since:
    2.1
  Version:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANONYMOUS_PERSISTENCE_MANAGER_FACTORY_NAME` The name of the anonymous PersistenceManagerFactory, which is the empty string.
    `static String` | `ELEMENT_INSTANCE_LIFECYCLE_LISTENER` The name of the instance lifecycle listener element in the JDO configuration file.
    `static String` | `ELEMENT_PERSISTENCE_MANAGER_FACTORY` The name of the persistence manager factory element in the JDO configuration file.
    `static String` | `ELEMENT_PROPERTY` The name of the persistence manager factory property elements in the JDO configuration file.
    `static int` | `ENHANCER_EXCEPTION` Exit value for an exception from the JDOEnhancer
    `static int` | `ENHANCER_NO_JDO_ENHANCER_FOUND` Exit value for no enhancer found
    `static int` | `ENHANCER_USAGE_ERROR` Exit value for usage error
    `static String` | `INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_CLASSES` The name of the instance lifecycle listener element's "classes" attribute.
    `static String` | `INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_LISTENER` The name of the instance lifecycle listener element's "listener" attribute.
    `static String` | `JAVAX_JDO` The JDO standard package name.
    `static String` | `JAVAX_JDO_PREFIX` The JDO standard property string and option string prefix.
    `static String` | `JDO_DTD_RESOURCE` The name of the resource for the DTD of the standard JDO metadata file.
    `static String` | `JDO_XSD_NS` The standard JDO metadata schema namespace.
    `static String` | `JDO_XSD_RESOURCE` The name of the resource for the XML schema of the standard JDO metadata file.
    `static String` | `JDOCONFIG_DTD_RESOURCE` The name of the resource for the DTD of the standard JDO configuration file.
    `static String` | `JDOCONFIG_RESOURCE_NAME` The name of the standard JDO configuration resource file(s).
    `static String` | `JDOCONFIG_XSD_NS` The standard JDO configuration schema namespace.
    `static String` | `JDOCONFIG_XSD_RESOURCE` The name of the resource for the XML schema of the standard JDO configuration file.
    `static String` | `JDOQUERY_DTD_RESOURCE` The name of the resource for the DTD of the standard JDO query metadata file.
    `static String` | `JDOQUERY_XSD_NS` The standard JDO query schema namespace.
    `static String` | `JDOQUERY_XSD_RESOURCE` The name of the resource for the XML schema of the standard JDO query metadata file.
    `static String` | `JTA` The value for TransactionType to specify that transactions are managed by the Java Transactions API, as documented in JSR-220.
    `static String` | `NONCONFIGURABLE_PROPERTY_VENDOR_NAME` Nonconfigurable property constant "VendorName"
    `static String` | `NONCONFIGURABLE_PROPERTY_VERSION_NUMBER` Nonconfigurable property constant "VersionNumber"
    `static String` | `OPTION_APPLICATION_IDENTITY` "javax.jdo.option.ApplicationIdentity"
    `static String` | `OPTION_ARRAY` "javax.jdo.option.Array"
    `static String` | `OPTION_ARRAYLIST` "javax.jdo.option.ArrayList"
    `static String` | `OPTION_BINARY_COMPATIBILITY` "javax.jdo.option.BinaryCompatibility"
    `static String` | `OPTION_CHANGE_APPLICATION_IDENTITY` "javax.jdo.option.ChangeApplicationIdentity"
    `static String` | `OPTION_DATASTORE_IDENTITY` "javax.jdo.option.DatastoreIdentity"
    `static String` | `OPTION_DATASTORE_TIMEOUT` "javax.jdo.option.DatastoreTimeout"
    `static String` | `OPTION_GET_DATASTORE_CONNECTION` "javax.jdo.option.GetDataStoreConnection"
    `static String` | `OPTION_GET_JDBC_CONNECTION` "javax.jdo.option.GetJDBCConnection"
    `static String` | `OPTION_LINKEDLIST` "javax.jdo.option.LinkedList"
    `static String` | `OPTION_MAPPING_HETEROGENEOUS_INTERFACE_TYPE` "javax.jdo.option.mapping.HeterogeneousInterfaceType"
    `static String` | `OPTION_MAPPING_HETEROGENEOUS_OBJECT_TYPE` "javax.jdo.option.mapping.HeterogeneousObjectType"
    `static String` | `OPTION_MAPPING_JOINED_TABLE_PER_CLASS` "javax.jdo.option.mapping.JoinedTablePerClass"
    `static String` | `OPTION_MAPPING_JOINED_TABLE_PER_CONCRETE_CLASS` "javax.jdo.option.mapping.JoinedTablePerConcreteClass"
    `static String` | `OPTION_MAPPING_NON_JOINED_TABLE_PER_CONCRETE_CLASS` "javax.jdo.option.mapping.NonJoinedTablePerConcreteClass"
    `static String` | `OPTION_MAPPING_RELATION_SUBCLASS_TABLE` "javax.jdo.option.mapping.RelationSubclassTable"
    `static String` | `OPTION_NONDURABLE_IDENTITY` "javax.jdo.option.NonDurableIdentity"
    `static String` | `OPTION_NONTRANSACTIONAL_READ` "javax.jdo.option.NontransactionalRead"
    `static String` | `OPTION_NONTRANSACTIONAL_WRITE` "javax.jdo.option.NontransactionalWrite"
    `static String` | `OPTION_NULL_COLLECTION` "javax.jdo.option.NullCollection"
    `static String` | `OPTION_OPTIMISTIC` "javax.jdo.option.Optimistic"
    `static String` | `OPTION_PREDIRTY_EVENT` "javax.jdo.option.PreDirtyEvent"
    `static String` | `OPTION_QUERY_CANCEL` "javax.jdo.option.QueryCancel"
    `static String` | `OPTION_QUERY_JDOQL_BITWISE_OPERATIONS` "javax.jdo.query.JDOQL.BitwiseOperations"
    `static String` | `OPTION_QUERY_SQL` "javax.jdo.query.SQL"
    `static String` | `OPTION_RETAIN_VALUES` "javax.jdo.option.RetainValues"
    `static String` | `OPTION_TRANSACTIONAL_TRANSIENT` "javax.jdo.option.TransientTransactional"
    `static String` | `OPTION_TREEMAP` "javax.jdo.option.TreeMap"
    `static String` | `OPTION_TREESET` "javax.jdo.option.TreeSet"
    `static String` | `OPTION_UNCONSTRAINED_QUERY_VARIABLES` "javax.jdo.query.JDOQL.UnconstrainedQueryVariables"
    `static String` | `OPTION_VECTOR` "javax.jdo.option.Vector"
    `static String` | `OPTION_VERSION_DATETIME` "javax.jdo.option.version.DateTime"
    `static String` | `OPTION_VERSION_STATE_IMAGE` "javax.jdo.option.version.StateImage"
    `static String` | `ORM_DTD_RESOURCE` The name of the resource for the DTD of the standard JDO object-relational mapping metadata file.
    `static String` | `ORM_XSD_NS` The standard JDO object-repository mapping schema namespace.
    `static String` | `ORM_XSD_RESOURCE` The name of the resource for the XML schema of the standard JDO object-relational mapping metadata file.
    `static String` | `PMF_ATTRIBUTE_CLASS` The name of the persistence manager factory element's "class" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_DRIVER_NAME` The name of the persistence manager factory element's "connection-driver-name" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_FACTORY_NAME` The name of the persistence manager factory element's "connection-factory-name" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_FACTORY2_NAME` The name of the persistence manager factory element's "connection-factory2-name" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_PASSWORD` The name of the persistence manager factory element's "connection-password" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_URL` The name of the persistence manager factory element's "connection-url" attribute.
    `static String` | `PMF_ATTRIBUTE_CONNECTION_USER_NAME` The name of the persistence manager factory element's "connection-user-name" attribute.
    `static String` | `PMF_ATTRIBUTE_COPY_ON_ATTACH` The name of the persistence manager factory element's "copy-on-attach" attribute.
    `static String` | `PMF_ATTRIBUTE_DATASTORE_READ_TIMEOUT_MILLIS` The name of the persistence manager factory element's "datastore-read-timeout-millis" attribute.
    `static String` | `PMF_ATTRIBUTE_DATASTORE_WRITE_TIMEOUT_MILLIS` The name of the persistence manager factory element's "datastore-write-timeout-millis" attribute.
    `static String` | `PMF_ATTRIBUTE_DETACH_ALL_ON_COMMIT` The name of the persistence manager factory element's "detach-all-on-commit" attribute.
    `static String` | `PMF_ATTRIBUTE_IGNORE_CACHE` The name of the persistence manager factory element's "ignore-cache" attribute.
    `static String` | `PMF_ATTRIBUTE_MAPPING` The name of the persistence manager factory element's "mapping" attribute.
    `static String` | `PMF_ATTRIBUTE_MULTITHREADED` The name of the persistence manager factory element's "multithreaded" attribute.
    `static String` | `PMF_ATTRIBUTE_NAME` The name of the persistence manager factory element's "name" attribute.
    `static String` | `PMF_ATTRIBUTE_NONTRANSACTIONAL_READ` The name of the persistence manager factory element's "nontransactional-read" attribute.
    `static String` | `PMF_ATTRIBUTE_NONTRANSACTIONAL_WRITE` The name of the persistence manager factory element's "nontransactional-write" attribute.
    `static String` | `PMF_ATTRIBUTE_OPTIMISTIC` The name of the persistence manager factory element's "optimistic" attribute.
    `static String` | `PMF_ATTRIBUTE_PERSISTENCE_UNIT_NAME` The name of the persistence manager factory element's "persistence-unit-name" attribute.
    `static String` | `PMF_ATTRIBUTE_READONLY` The name of the persistence manager factory element's "readonly" attribute.
    `static String` | `PMF_ATTRIBUTE_RESTORE_VALUES` The name of the persistence manager factory element's "restore-values" attribute.
    `static String` | `PMF_ATTRIBUTE_RETAIN_VALUES` The name of the persistence manager factory element's "retain-values" attribute.
    `static String` | `PMF_ATTRIBUTE_SERVER_TIME_ZONE_ID` The name of the persistence manager factory element's "server-time-zone-id" attribute.
    `static String` | `PROPERTY_ATTRIBUTE_NAME` The name of the persistence manager factory property element's "name" attribute.
    `static String` | `PROPERTY_ATTRIBUTE_VALUE` The name of the persistence manager factory property element's "value" attribute.
    `static String` | `PROPERTY_CONNECTION_DRIVER_NAME` "javax.jdo.option.ConnectionDriverName" This property might be ignored by the JDO implementation because the JDBC DriverManager handles the driver name.
    `static String` | `PROPERTY_CONNECTION_FACTORY_NAME` "javax.jdo.option.ConnectionFactoryName"
    `static String` | `PROPERTY_CONNECTION_FACTORY2_NAME` "javax.jdo.option.ConnectionFactory2Name"
    `static String` | `PROPERTY_CONNECTION_PASSWORD` "javax.jdo.option.Password"
    `static String` | `PROPERTY_CONNECTION_URL` "javax.jdo.option.ConnectionURL"
    `static String` | `PROPERTY_CONNECTION_USER_NAME` "javax.jdo.option.ConnectionUserName"
    `static String` | `PROPERTY_COPY_ON_ATTACH` "javax.jdo.option.CopyOnAttach"
    `static String` | `PROPERTY_DATASTORE_READ_TIMEOUT_MILLIS` Specified value "javax.jdo.option.DatastoreReadTimeoutMillis"
    `static String` | `PROPERTY_DATASTORE_WRITE_TIMEOUT_MILLIS` Specified value "javax.jdo.option.DatastoreWriteTimeoutMillis"
    `static String` | `PROPERTY_DETACH_ALL_ON_COMMIT` "javax.jdo.option.DetachAllOnCommit"
    `static String` | `PROPERTY_ENHANCER_VENDOR_NAME` "VendorName"
    `static String` | `PROPERTY_ENHANCER_VERSION_NUMBER` "VersionNumber"
    `static String` | `PROPERTY_IGNORE_CACHE` "javax.jdo.option.IgnoreCache"
    `static String` | `PROPERTY_INSTANCE_LIFECYCLE_LISTENER` "javax.jdo.listener.InstanceLifecycleListener"
    `static String` | `PROPERTY_MAPPING` "javax.jdo.option.Mapping"
    `static String` | `PROPERTY_MAPPING_CATALOG` Mapping "javax.jdo.mapping.Catalog"
    `static String` | `PROPERTY_MAPPING_SCHEMA` Mapping "javax.jdo.mapping.Schema"
    `static String` | `PROPERTY_MULTITHREADED` "javax.jdo.option.Multithreaded"
    `static String` | `PROPERTY_NAME` "javax.jdo.option.Name"
    `static String` | `PROPERTY_NONTRANSACTIONAL_READ` "javax.jdo.option.NontransactionalRead"
    `static String` | `PROPERTY_NONTRANSACTIONAL_WRITE` "javax.jdo.option.NontransactionalWrite"
    `static String` | `PROPERTY_OPTIMISTIC` "javax.jdo.option.Optimistic"
    `static String` | `PROPERTY_PERSISTENCE_MANAGER_FACTORY_CLASS` "javax.jdo.PersistenceManagerFactoryClass"
    `static String` | `PROPERTY_PERSISTENCE_UNIT_NAME` "javax.jdo.option.PersistenceUnitName"
    `static String` | `PROPERTY_PREFIX_INSTANCE_LIFECYCLE_LISTENER` Prefix used to configure `InstanceLifecycleListener` instances externally.
    `static String` | `PROPERTY_READONLY` "javax.jdo.option.ReadOnly"
    `static String` | `PROPERTY_RESTORE_VALUES` "javax.jdo.option.RestoreValues"
    `static String` | `PROPERTY_RETAIN_VALUES` "javax.jdo.option.RetainValues"
    `static String` | `PROPERTY_SERVER_TIME_ZONE_ID` Specified value "javax.jdo.option.ServerTimeZoneID"
    `static String` | `PROPERTY_SPI_PROPERTIES_FILE_NAME` "javax.jdo.spi.PropertiesFileName"
    `static String` | `PROPERTY_SPI_RESOURCE_NAME` "javax.jdo.option.spi.ResourceName"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL` "javax.jdo.option.TransactionIsolationLevel"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_COMMITTED` "javax.jdo.option.TransactionIsolationLevel.read-committed"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_UNCOMMITTED` "javax.jdo.option.TransactionIsolationLevel.read-uncommitted"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL_REPEATABLE_READ` "javax.jdo.option.TransactionIsolationLevel.repeatable-read"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL_SERIALIZABLE` "javax.jdo.option.TransactionIsolationLevel.serializable"
    `static String` | `PROPERTY_TRANSACTION_ISOLATION_LEVEL_SNAPSHOT` "javax.jdo.option.TransactionIsolationLevel.snapshot"
    `static String` | `PROPERTY_TRANSACTION_TYPE` Specified value "javax.jdo.option.TransactionType"
    `static String` | `RESOURCE_LOCAL` The value for TransactionType to specify that transactions are managed by the javax.jdo.Transaction instance, similar to the usage as documented in JSR-220.
    `static String` | `SERVICE_LOOKUP_ENHANCER_RESOURCE_NAME` The name of the standard service configuration resource text file containing the name of an enhancer of `JDOEnhancer`.
    `static String` | `SERVICE_LOOKUP_PMF_RESOURCE_NAME` The name of the standard service configuration resource text file containing the name of an implementation of `PersistenceManagerFactory`.
    `static String` | `TX_READ_COMMITTED` Transaction isolation level representing the requirement to read committed data only.
    `static String` | `TX_READ_UNCOMMITTED` Transaction isolation level representing the ability to read uncommitted data.
    `static String` | `TX_REPEATABLE_READ` Transaction isolation level representing the requirement to read the same data in the same transaction.
    `static String` | `TX_SERIALIZABLE` Transaction isolation level representing the requirement to serialize transactions.
    `static String` | `TX_SNAPSHOT` Transaction isolation level representing the requirement to keep a snapshot for reading data.

- - ### Field Detail

    - #### JAVAX_JDO

          static final String JAVAX_JDO

      The JDO standard package name.
      Since:
        3.1
      See Also:
        Constant Field Values

    - #### JAVAX_JDO_PREFIX

          static final String JAVAX_JDO_PREFIX

      The JDO standard property string and option string prefix.
      See Also:
        Constant Field Values

    - #### SERVICE_LOOKUP_PMF_RESOURCE_NAME

          static final String SERVICE_LOOKUP_PMF_RESOURCE_NAME

      The name of the standard service configuration resource text file containing the name of an implementation of `PersistenceManagerFactory`. Constant value is `META-INF/services/javax.jdo.PersistenceManagerFactory`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### SERVICE_LOOKUP_ENHANCER_RESOURCE_NAME

          static final String SERVICE_LOOKUP_ENHANCER_RESOURCE_NAME

      The name of the standard service configuration resource text file containing the name of an enhancer of `JDOEnhancer`. Constant value is `META-INF/services/javax.jdo.JDOEnhancer`.
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### JDOCONFIG_RESOURCE_NAME

          static final String JDOCONFIG_RESOURCE_NAME

      The name of the standard JDO configuration resource file(s). Constant value is `META-INF/jdoconfig.xml`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOCONFIG_XSD_NS

          static final String JDOCONFIG_XSD_NS

      The standard JDO configuration schema namespace. Constant value is `http://xmlns.jcp.org/xml/ns/jdo/jdoconfig`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDO_XSD_NS

          static final String JDO_XSD_NS

      The standard JDO metadata schema namespace. Constant value is `http://xmlns.jcp.org/xml/ns/jdo/jdo`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### ORM_XSD_NS

          static final String ORM_XSD_NS

      The standard JDO object-repository mapping schema namespace. Constant value is `http://xmlns.jcp.org/xml/ns/jdo/orm`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOQUERY_XSD_NS

          static final String JDOQUERY_XSD_NS

      The standard JDO query schema namespace. Constant value is `http://xmlns.jcp.org/xml/ns/jdo/jdoquery`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### ELEMENT_PERSISTENCE_MANAGER_FACTORY

          static final String ELEMENT_PERSISTENCE_MANAGER_FACTORY

      The name of the persistence manager factory element in the JDO configuration file. Constant value is `persistence-manager-factory`.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CLASS

          static final String PMF_ATTRIBUTE_CLASS

      The name of the persistence manager factory element's "class" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_NAME

          static final String PMF_ATTRIBUTE_NAME

      The name of the persistence manager factory element's "name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_PERSISTENCE_UNIT_NAME

          static final String PMF_ATTRIBUTE_PERSISTENCE_UNIT_NAME

      The name of the persistence manager factory element's "persistence-unit-name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_OPTIMISTIC

          static final String PMF_ATTRIBUTE_OPTIMISTIC

      The name of the persistence manager factory element's "optimistic" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_READONLY

          static final String PMF_ATTRIBUTE_READONLY

      The name of the persistence manager factory element's "readonly" attribute.
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_RETAIN_VALUES

          static final String PMF_ATTRIBUTE_RETAIN_VALUES

      The name of the persistence manager factory element's "retain-values" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_RESTORE_VALUES

          static final String PMF_ATTRIBUTE_RESTORE_VALUES

      The name of the persistence manager factory element's "restore-values" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_IGNORE_CACHE

          static final String PMF_ATTRIBUTE_IGNORE_CACHE

      The name of the persistence manager factory element's "ignore-cache" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_NONTRANSACTIONAL_READ

          static final String PMF_ATTRIBUTE_NONTRANSACTIONAL_READ

      The name of the persistence manager factory element's "nontransactional-read" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_NONTRANSACTIONAL_WRITE

          static final String PMF_ATTRIBUTE_NONTRANSACTIONAL_WRITE

      The name of the persistence manager factory element's "nontransactional-write" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_MULTITHREADED

          static final String PMF_ATTRIBUTE_MULTITHREADED

      The name of the persistence manager factory element's "multithreaded" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_DRIVER_NAME

          static final String PMF_ATTRIBUTE_CONNECTION_DRIVER_NAME

      The name of the persistence manager factory element's "connection-driver-name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_USER_NAME

          static final String PMF_ATTRIBUTE_CONNECTION_USER_NAME

      The name of the persistence manager factory element's "connection-user-name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_PASSWORD

          static final String PMF_ATTRIBUTE_CONNECTION_PASSWORD

      The name of the persistence manager factory element's "connection-password" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_URL

          static final String PMF_ATTRIBUTE_CONNECTION_URL

      The name of the persistence manager factory element's "connection-url" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_FACTORY_NAME

          static final String PMF_ATTRIBUTE_CONNECTION_FACTORY_NAME

      The name of the persistence manager factory element's "connection-factory-name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_CONNECTION_FACTORY2_NAME

          static final String PMF_ATTRIBUTE_CONNECTION_FACTORY2_NAME

      The name of the persistence manager factory element's "connection-factory2-name" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_DETACH_ALL_ON_COMMIT

          static final String PMF_ATTRIBUTE_DETACH_ALL_ON_COMMIT

      The name of the persistence manager factory element's "detach-all-on-commit" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_COPY_ON_ATTACH

          static final String PMF_ATTRIBUTE_COPY_ON_ATTACH

      The name of the persistence manager factory element's "copy-on-attach" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_MAPPING

          static final String PMF_ATTRIBUTE_MAPPING

      The name of the persistence manager factory element's "mapping" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_SERVER_TIME_ZONE_ID

          static final String PMF_ATTRIBUTE_SERVER_TIME_ZONE_ID

      The name of the persistence manager factory element's "server-time-zone-id" attribute.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_DATASTORE_READ_TIMEOUT_MILLIS

          static final String PMF_ATTRIBUTE_DATASTORE_READ_TIMEOUT_MILLIS

      The name of the persistence manager factory element's "datastore-read-timeout-millis" attribute.
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### PMF_ATTRIBUTE_DATASTORE_WRITE_TIMEOUT_MILLIS

          static final String PMF_ATTRIBUTE_DATASTORE_WRITE_TIMEOUT_MILLIS

      The name of the persistence manager factory element's "datastore-write-timeout-millis" attribute.
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### ELEMENT_PROPERTY

          static final String ELEMENT_PROPERTY

      The name of the persistence manager factory property elements in the JDO configuration file.
      See Also:
        Constant Field Values

    - #### PROPERTY_ATTRIBUTE_NAME

          static final String PROPERTY_ATTRIBUTE_NAME

      The name of the persistence manager factory property element's "name" attribute.
      See Also:
        Constant Field Values

    - #### PROPERTY_ATTRIBUTE_VALUE

          static final String PROPERTY_ATTRIBUTE_VALUE

      The name of the persistence manager factory property element's "value" attribute.
      See Also:
        Constant Field Values

    - #### ELEMENT_INSTANCE_LIFECYCLE_LISTENER

          static final String ELEMENT_INSTANCE_LIFECYCLE_LISTENER

      The name of the instance lifecycle listener element in the JDO configuration file.
      See Also:
        Constant Field Values

    - #### INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_LISTENER

          static final String INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_LISTENER

      The name of the instance lifecycle listener element's "listener" attribute.
      See Also:
        Constant Field Values

    - #### INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_CLASSES

          static final String INSTANCE_LIFECYCLE_LISTENER_ATTRIBUTE_CLASSES

      The name of the instance lifecycle listener element's "classes" attribute.
      See Also:
        Constant Field Values

    - #### OPTION_TRANSACTIONAL_TRANSIENT

          static final String OPTION_TRANSACTIONAL_TRANSIENT

      "javax.jdo.option.TransientTransactional"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_NONTRANSACTIONAL_READ

          static final String OPTION_NONTRANSACTIONAL_READ

      "javax.jdo.option.NontransactionalRead"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_NONTRANSACTIONAL_WRITE

          static final String OPTION_NONTRANSACTIONAL_WRITE

      "javax.jdo.option.NontransactionalWrite"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_RETAIN_VALUES

          static final String OPTION_RETAIN_VALUES

      "javax.jdo.option.RetainValues"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_OPTIMISTIC

          static final String OPTION_OPTIMISTIC

      "javax.jdo.option.Optimistic"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_APPLICATION_IDENTITY

          static final String OPTION_APPLICATION_IDENTITY

      "javax.jdo.option.ApplicationIdentity"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_DATASTORE_IDENTITY

          static final String OPTION_DATASTORE_IDENTITY

      "javax.jdo.option.DatastoreIdentity"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_NONDURABLE_IDENTITY

          static final String OPTION_NONDURABLE_IDENTITY

      "javax.jdo.option.NonDurableIdentity"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_ARRAYLIST

          static final String OPTION_ARRAYLIST

      "javax.jdo.option.ArrayList"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_LINKEDLIST

          static final String OPTION_LINKEDLIST

      "javax.jdo.option.LinkedList"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_TREEMAP

          static final String OPTION_TREEMAP

      "javax.jdo.option.TreeMap"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_TREESET

          static final String OPTION_TREESET

      "javax.jdo.option.TreeSet"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_VECTOR

          static final String OPTION_VECTOR

      "javax.jdo.option.Vector"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_ARRAY

          static final String OPTION_ARRAY

      "javax.jdo.option.Array"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_NULL_COLLECTION

          static final String OPTION_NULL_COLLECTION

      "javax.jdo.option.NullCollection"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_CHANGE_APPLICATION_IDENTITY

          static final String OPTION_CHANGE_APPLICATION_IDENTITY

      "javax.jdo.option.ChangeApplicationIdentity"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_BINARY_COMPATIBILITY

          static final String OPTION_BINARY_COMPATIBILITY

      "javax.jdo.option.BinaryCompatibility"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_GET_DATASTORE_CONNECTION

          static final String OPTION_GET_DATASTORE_CONNECTION

      "javax.jdo.option.GetDataStoreConnection"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_GET_JDBC_CONNECTION

          static final String OPTION_GET_JDBC_CONNECTION

      "javax.jdo.option.GetJDBCConnection"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_QUERY_SQL

          static final String OPTION_QUERY_SQL

      "javax.jdo.query.SQL"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_QUERY_CANCEL

          static final String OPTION_QUERY_CANCEL

      "javax.jdo.option.QueryCancel"
      Since:
        3.0
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_QUERY_JDOQL_BITWISE_OPERATIONS

          static final String OPTION_QUERY_JDOQL_BITWISE_OPERATIONS

      "javax.jdo.query.JDOQL.BitwiseOperations"
      Since:
        3.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_UNCONSTRAINED_QUERY_VARIABLES

          static final String OPTION_UNCONSTRAINED_QUERY_VARIABLES

      "javax.jdo.query.JDOQL.UnconstrainedQueryVariables"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_DATASTORE_TIMEOUT

          static final String OPTION_DATASTORE_TIMEOUT

      "javax.jdo.option.DatastoreTimeout"
      Since:
        3.0
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_VERSION_DATETIME

          static final String OPTION_VERSION_DATETIME

      "javax.jdo.option.version.DateTime"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_VERSION_STATE_IMAGE

          static final String OPTION_VERSION_STATE_IMAGE

      "javax.jdo.option.version.StateImage"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_PREDIRTY_EVENT

          static final String OPTION_PREDIRTY_EVENT

      "javax.jdo.option.PreDirtyEvent"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_HETEROGENEOUS_OBJECT_TYPE

          static final String OPTION_MAPPING_HETEROGENEOUS_OBJECT_TYPE

      "javax.jdo.option.mapping.HeterogeneousObjectType"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_HETEROGENEOUS_INTERFACE_TYPE

          static final String OPTION_MAPPING_HETEROGENEOUS_INTERFACE_TYPE

      "javax.jdo.option.mapping.HeterogeneousInterfaceType"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_JOINED_TABLE_PER_CLASS

          static final String OPTION_MAPPING_JOINED_TABLE_PER_CLASS

      "javax.jdo.option.mapping.JoinedTablePerClass"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_JOINED_TABLE_PER_CONCRETE_CLASS

          static final String OPTION_MAPPING_JOINED_TABLE_PER_CONCRETE_CLASS

      "javax.jdo.option.mapping.JoinedTablePerConcreteClass"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_NON_JOINED_TABLE_PER_CONCRETE_CLASS

          static final String OPTION_MAPPING_NON_JOINED_TABLE_PER_CONCRETE_CLASS

      "javax.jdo.option.mapping.NonJoinedTablePerConcreteClass"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### OPTION_MAPPING_RELATION_SUBCLASS_TABLE

          static final String OPTION_MAPPING_RELATION_SUBCLASS_TABLE

      "javax.jdo.option.mapping.RelationSubclassTable"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_PERSISTENCE_MANAGER_FACTORY_CLASS

          static final String PROPERTY_PERSISTENCE_MANAGER_FACTORY_CLASS

      "javax.jdo.PersistenceManagerFactoryClass"
      Since:
        2.1
      See Also:
        `JDOHelper.getPersistenceManagerFactory(java.util.Map)`, Constant Field Values

    - #### PROPERTY_ENHANCER_VENDOR_NAME

          static final String PROPERTY_ENHANCER_VENDOR_NAME

      "VendorName"
      Since:
        3.0
      See Also:
        `JDOEnhancer.getProperties()`, Constant Field Values

    - #### PROPERTY_ENHANCER_VERSION_NUMBER

          static final String PROPERTY_ENHANCER_VERSION_NUMBER

      "VersionNumber"
      Since:
        3.0
      See Also:
        `JDOEnhancer.getProperties()`, Constant Field Values

    - #### ENHANCER_NO_JDO_ENHANCER_FOUND

          static final int ENHANCER_NO_JDO_ENHANCER_FOUND

      Exit value for no enhancer found
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### ENHANCER_USAGE_ERROR

          static final int ENHANCER_USAGE_ERROR

      Exit value for usage error
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### ENHANCER_EXCEPTION

          static final int ENHANCER_EXCEPTION

      Exit value for an exception from the JDOEnhancer
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### PROPERTY_OPTIMISTIC

          static final String PROPERTY_OPTIMISTIC

      "javax.jdo.option.Optimistic"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getOptimistic()`, Constant Field Values

    - #### PROPERTY_READONLY

          static final String PROPERTY_READONLY

      "javax.jdo.option.ReadOnly"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getReadOnly()`, Constant Field Values

    - #### PROPERTY_RETAIN_VALUES

          static final String PROPERTY_RETAIN_VALUES

      "javax.jdo.option.RetainValues"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getRetainValues()`, Constant Field Values

    - #### PROPERTY_RESTORE_VALUES

          static final String PROPERTY_RESTORE_VALUES

      "javax.jdo.option.RestoreValues"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getRestoreValues()`, Constant Field Values

    - #### PROPERTY_IGNORE_CACHE

          static final String PROPERTY_IGNORE_CACHE

      "javax.jdo.option.IgnoreCache"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getIgnoreCache()`, Constant Field Values

    - #### PROPERTY_NONTRANSACTIONAL_READ

          static final String PROPERTY_NONTRANSACTIONAL_READ

      "javax.jdo.option.NontransactionalRead"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getNontransactionalRead()`, Constant Field Values

    - #### PROPERTY_NONTRANSACTIONAL_WRITE

          static final String PROPERTY_NONTRANSACTIONAL_WRITE

      "javax.jdo.option.NontransactionalWrite"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getNontransactionalWrite()`, Constant Field Values

    - #### PROPERTY_MULTITHREADED

          static final String PROPERTY_MULTITHREADED

      "javax.jdo.option.Multithreaded"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getMultithreaded()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL

      "javax.jdo.option.TransactionIsolationLevel"
      Since:
        2.2
      See Also:
        Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_UNCOMMITTED

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_UNCOMMITTED

      "javax.jdo.option.TransactionIsolationLevel.read-uncommitted"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_COMMITTED

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL_READ_COMMITTED

      "javax.jdo.option.TransactionIsolationLevel.read-committed"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL_REPEATABLE_READ

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL_REPEATABLE_READ

      "javax.jdo.option.TransactionIsolationLevel.repeatable-read"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL_SNAPSHOT

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL_SNAPSHOT

      "javax.jdo.option.TransactionIsolationLevel.snapshot"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_ISOLATION_LEVEL_SERIALIZABLE

          static final String PROPERTY_TRANSACTION_ISOLATION_LEVEL_SERIALIZABLE

      "javax.jdo.option.TransactionIsolationLevel.serializable"
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.supportedOptions()`, Constant Field Values

    - #### PROPERTY_DETACH_ALL_ON_COMMIT

          static final String PROPERTY_DETACH_ALL_ON_COMMIT

      "javax.jdo.option.DetachAllOnCommit"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getDetachAllOnCommit()`, Constant Field Values

    - #### PROPERTY_COPY_ON_ATTACH

          static final String PROPERTY_COPY_ON_ATTACH

      "javax.jdo.option.CopyOnAttach"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getCopyOnAttach()`, Constant Field Values

    - #### PROPERTY_CONNECTION_DRIVER_NAME

          static final String PROPERTY_CONNECTION_DRIVER_NAME

      "javax.jdo.option.ConnectionDriverName" This property might be ignored by the JDO implementation because the JDBC DriverManager handles the driver name.
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getConnectionDriverName()`, Constant Field Values

    - #### PROPERTY_CONNECTION_USER_NAME

          static final String PROPERTY_CONNECTION_USER_NAME

      "javax.jdo.option.ConnectionUserName"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getConnectionUserName()`, Constant Field Values

    - #### PROPERTY_CONNECTION_PASSWORD

          static final String PROPERTY_CONNECTION_PASSWORD

      "javax.jdo.option.Password"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PROPERTY_CONNECTION_URL

          static final String PROPERTY_CONNECTION_URL

      "javax.jdo.option.ConnectionURL"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getConnectionURL()`, Constant Field Values

    - #### PROPERTY_CONNECTION_FACTORY_NAME

          static final String PROPERTY_CONNECTION_FACTORY_NAME

      "javax.jdo.option.ConnectionFactoryName"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getConnectionFactoryName()`, Constant Field Values

    - #### PROPERTY_CONNECTION_FACTORY2_NAME

          static final String PROPERTY_CONNECTION_FACTORY2_NAME

      "javax.jdo.option.ConnectionFactory2Name"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getConnectionFactory2Name()`, Constant Field Values

    - #### PROPERTY_MAPPING

          static final String PROPERTY_MAPPING

      "javax.jdo.option.Mapping"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getMapping()`, Constant Field Values

    - #### PROPERTY_PERSISTENCE_UNIT_NAME

          static final String PROPERTY_PERSISTENCE_UNIT_NAME

      "javax.jdo.option.PersistenceUnitName"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getPersistenceUnitName()`, Constant Field Values

    - #### PROPERTY_NAME

          static final String PROPERTY_NAME

      "javax.jdo.option.Name"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getName()`, Constant Field Values

    - #### PROPERTY_SPI_PROPERTIES_FILE_NAME

          static final String PROPERTY_SPI_PROPERTIES_FILE_NAME

      "javax.jdo.spi.PropertiesFileName"
      Since:
        3.2
      See Also:
        Constant Field Values

    - #### PROPERTY_SPI_RESOURCE_NAME

          static final String PROPERTY_SPI_RESOURCE_NAME

      "javax.jdo.option.spi.ResourceName"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PROPERTY_INSTANCE_LIFECYCLE_LISTENER

          static final String PROPERTY_INSTANCE_LIFECYCLE_LISTENER

      "javax.jdo.listener.InstanceLifecycleListener"
      See Also:
        `PersistenceManagerFactory.addInstanceLifecycleListener(javax.jdo.listener.InstanceLifecycleListener,Class[])`, `PersistenceManagerFactory.removeInstanceLifecycleListener(javax.jdo.listener.InstanceLifecycleListener)`, Constant Field Values

    - #### PROPERTY_PREFIX_INSTANCE_LIFECYCLE_LISTENER

          static final String PROPERTY_PREFIX_INSTANCE_LIFECYCLE_LISTENER

      Prefix used to configure `InstanceLifecycleListener` instances externally. To configure an `InstanceLifecycleListener` via properties, create a property name with the prefix of this constant and append the fully qualified listener class name, then set its value to the comma- or whitespace-delimited list of persistence-capable classes whose instances are to be observed. Use no value to indicate that instances of all persistence-capable classes are to be observed.
      For example,
      `javax.jdo.option.InstanceLifecycleListener.com.example.MyListener=com.example.Foo,com.example.Bar`
      is equivalent to calling
      `pmf.addInstanceLifecycleListener(new com.example.MyListener(), new Class[] {com.example.Foo.class, com.example.Bar.class});`
      where `pmf` is an instance of type `PersistenceManagerFactory`.
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.addInstanceLifecycleListener(javax.jdo.listener.InstanceLifecycleListener,Class[])`, Constant Field Values

    - #### PROPERTY_MAPPING_CATALOG

          static final String PROPERTY_MAPPING_CATALOG

      Mapping "javax.jdo.mapping.Catalog"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PROPERTY_MAPPING_SCHEMA

          static final String PROPERTY_MAPPING_SCHEMA

      Mapping "javax.jdo.mapping.Schema"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PROPERTY_SERVER_TIME_ZONE_ID

          static final String PROPERTY_SERVER_TIME_ZONE_ID

      Specified value "javax.jdo.option.ServerTimeZoneID"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### PROPERTY_DATASTORE_READ_TIMEOUT_MILLIS

          static final String PROPERTY_DATASTORE_READ_TIMEOUT_MILLIS

      Specified value "javax.jdo.option.DatastoreReadTimeoutMillis"
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### PROPERTY_DATASTORE_WRITE_TIMEOUT_MILLIS

          static final String PROPERTY_DATASTORE_WRITE_TIMEOUT_MILLIS

      Specified value "javax.jdo.option.DatastoreWriteTimeoutMillis"
      Since:
        3.0
      See Also:
        Constant Field Values

    - #### NONCONFIGURABLE_PROPERTY_VENDOR_NAME

          static final String NONCONFIGURABLE_PROPERTY_VENDOR_NAME

      Nonconfigurable property constant "VendorName"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getProperties()`, Constant Field Values

    - #### NONCONFIGURABLE_PROPERTY_VERSION_NUMBER

          static final String NONCONFIGURABLE_PROPERTY_VERSION_NUMBER

      Nonconfigurable property constant "VersionNumber"
      Since:
        2.1
      See Also:
        `PersistenceManagerFactory.getProperties()`, Constant Field Values

    - #### PROPERTY_TRANSACTION_TYPE

          static final String PROPERTY_TRANSACTION_TYPE

      Specified value "javax.jdo.option.TransactionType"
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JTA

          static final String JTA

      The value for TransactionType to specify that transactions are managed by the Java Transactions API, as documented in JSR-220.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### RESOURCE_LOCAL

          static final String RESOURCE_LOCAL

      The value for TransactionType to specify that transactions are managed by the javax.jdo.Transaction instance, similar to the usage as documented in JSR-220.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOCONFIG_DTD_RESOURCE

          static final String JDOCONFIG_DTD_RESOURCE

      The name of the resource for the DTD of the standard JDO configuration file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOCONFIG_XSD_RESOURCE

          static final String JDOCONFIG_XSD_RESOURCE

      The name of the resource for the XML schema of the standard JDO configuration file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDO_DTD_RESOURCE

          static final String JDO_DTD_RESOURCE

      The name of the resource for the DTD of the standard JDO metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDO_XSD_RESOURCE

          static final String JDO_XSD_RESOURCE

      The name of the resource for the XML schema of the standard JDO metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### ORM_DTD_RESOURCE

          static final String ORM_DTD_RESOURCE

      The name of the resource for the DTD of the standard JDO object-relational mapping metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### ORM_XSD_RESOURCE

          static final String ORM_XSD_RESOURCE

      The name of the resource for the XML schema of the standard JDO object-relational mapping metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOQUERY_DTD_RESOURCE

          static final String JDOQUERY_DTD_RESOURCE

      The name of the resource for the DTD of the standard JDO query metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### JDOQUERY_XSD_RESOURCE

          static final String JDOQUERY_XSD_RESOURCE

      The name of the resource for the XML schema of the standard JDO query metadata file.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### ANONYMOUS_PERSISTENCE_MANAGER_FACTORY_NAME

          static final String ANONYMOUS_PERSISTENCE_MANAGER_FACTORY_NAME

      The name of the anonymous PersistenceManagerFactory, which is the empty string.
      Since:
        2.1
      See Also:
        Constant Field Values

    - #### TX_READ_UNCOMMITTED

          static final String TX_READ_UNCOMMITTED

      Transaction isolation level representing the ability to read uncommitted data.
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getTransactionIsolationLevel()`, `Transaction.getIsolationLevel()`, Constant Field Values

    - #### TX_READ_COMMITTED

          static final String TX_READ_COMMITTED

      Transaction isolation level representing the requirement to read committed data only.
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getTransactionIsolationLevel()`, `Transaction.getIsolationLevel()`, Constant Field Values

    - #### TX_REPEATABLE_READ

          static final String TX_REPEATABLE_READ

      Transaction isolation level representing the requirement to read the same data in the same transaction.
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getTransactionIsolationLevel()`, `Transaction.getIsolationLevel()`, Constant Field Values

    - #### TX_SNAPSHOT

          static final String TX_SNAPSHOT

      Transaction isolation level representing the requirement to keep a snapshot for reading data.
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getTransactionIsolationLevel()`, `Transaction.getIsolationLevel()`, Constant Field Values

    - #### TX_SERIALIZABLE

          static final String TX_SERIALIZABLE

      Transaction isolation level representing the requirement to serialize transactions.
      Since:
        2.2
      See Also:
        `PersistenceManagerFactory.getTransactionIsolationLevel()`, `Transaction.getIsolationLevel()`, Constant Field Values

Copyright © 2005–1970 Apache Software Foundation. All rights reserved.